Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class PropertyDefinition

    java.lang.Object
      |
      +--com.bea.content.ContentEntity
            |
            +--com.bea.content.PropertyDefinition

All Implemented Interfaces:
  Serializable

public class PropertyDefinition
extends ContentEntity

PropertyDefinition defines the shape of a Property. It describes the Property type (binary, boolean, string, double, calendar, long), whether it is required, whether it is editable, the default value and restricted values, if applicable.

A PropertyDefinition may contain a PropertyChoice array. This is a list of values that may be selected for a Property's values.

Rules for a PropertyDefinition are as follows.

- If the PropertyDefinition contains a reference, it may not be multi-valued, or binary.
- If the PropertyDefinition is binary, it may not be multi-valued or restricted and may only have one PropertyChoice.
- If the PropertyDefinition is boolean, it may not be multi-valued.
- If the PropertyDefinition is restricted then the Property's value(s) must be contained in the PropertyChoice list. For example: consider a PropertyDefinition named "color". It has PropertyChoices "blue", "green", and "red". If the PropertyDefinition is restricted then the value of a Property defined by this PropertyDefinition may not have a value that isn't "green", "red", or "blue".

  See Also:
    Serialized Form

  Field Summary

  Fields inherited from class com.bea.content.ContentEntity
  `id`

  Constructor Summary
  `PropertyDefinition(ID id, String name, String reference, int type, boolean isReadOnly, boolean isRestricted, boolean isMandatory, boolean isMultiValued, boolean isPrimary, String description)` Constructs PropertyDefinition without PropertyChoices.
  `PropertyDefinition(PropertyChoice[] propertyChoices, ID id, String name, String reference, int type, boolean isReadOnly, boolean isRestricted, boolean isMandatory, boolean isMultiValued, boolean isPrimary, String description)` Constructs the PropertyDefinition with all attributes.

  Method Summary
  `String` | `getDescription()` Gets the description.
  `String` | `getName()` Returns the name of this PropertyDefinition.
  `PropertyChoice[]` | `getPropertyChoices()` Returns the array of PropertyChoices.
  `String` | `getReference()` Returns a means by which all Properties for this PropertyDefinition may be referenced.
  `int` | `getType()` Gets the defined data type.
  `boolean` | `isMandatory()` Returns true if a value for the Property is required.
  `void` | `isMandatory(boolean isMandatory)` Set to true if a value for the Property is required, or false otherwise.
  `boolean` | `isMultiValued()` Returns true if the Property can have multiple values.
  `void` | `isMultiValued(boolean isMultiValued)` Set to true if the Property can have multiple values, false otherwise.
  `boolean` | `isPrimary()` Returns true if this PropertyDefinition represents the primary PropertyDefinition for its ObjectClass.
  `void` | `isPrimary(boolean isPrimary)` Set to true if this PropertyDefinition represents the primary PropertyDefinition for its ObjectClass.
  `boolean` | `isReadOnly()` Returns true if a value for the Property can be edited.
  `void` | `isReadOnly(boolean isReadOnly)` Set to true if a value for the Property can be edited, or false otherwise.
  `boolean` | `isRestricted()` Returns true if a value for the Property is restricted to the available choices.
  `void` | `isRestricted(boolean isRestricted)` Set to true if a value for the Property is restricted to the available choices, or false otherwise.
  `void` | `setDescription(String description)` Sets the description.
  `void` | `setName(String name)` Sets the name of this PropertyDefinition.
  `void` | `setPropertyChoices(PropertyChoice[] propertyChoices)` Sets the array of PropertyChoices.
  `void` | `setReference(String reference)` Sets a means by which all Properties for this PropertyDefinition may be referenced.
  `void` | `setType(int type)` Sets the defined data type.
  `String` | `toString()` Returns the PropertyDefinition attributs as a String.

  Methods inherited from class com.bea.content.ContentEntity
  `getId, setId`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Constructor Detail

  ### PropertyDefinition

      public PropertyDefinition(PropertyChoice[] propertyChoices,
                                ID id,
                                String name,
                                String reference,
                                int type,
                                boolean isReadOnly,
                                boolean isRestricted,
                                boolean isMandatory,
                                boolean isMultiValued,
                                boolean isPrimary,
                                String description)

    Constructs the PropertyDefinition with all attributes.

  Parameters:
    `propertyChoices` - - available value choices for a Property that is defined by this PropertyDefinition.
    `id` - - the unique id for this PropertyDefinition
    `name` - - the name of this PropertyDefinition that is unique relative to its ObjectClass.
    `reference` - - an external reference for all Properties defined by this PropertyDefinition.
    `type` - - the type of this PropertyDefinition.
    `isReadOnly` - - true if a Property defined by this PropertyDefinition is intended to not be writable, false otherwise.
    `isRestricted` - - true if a Property defined by this PropertyDefinition may only contain value(s) defined in this PropertyDefinitions PropertyChoice array, false otherwise
    `isMandatory` - - true if a Property defined by this PropertyDefinition must contain a non-null value and in the case of a String must not be empty, false otherwise
    `isMultiValued` - - true if a Property defined by this PropertyDefinition may contain multiple values, false otherwise.
    `isPrimary` - - true if the PropertyDefinition is the Primary PropertyDefinition for the ObjectClass.
    `description` - - a description of this PropertyDefinition.

  ### PropertyDefinition

      public PropertyDefinition(ID id,
                                String name,
                                String reference,
                                int type,
                                boolean isReadOnly,
                                boolean isRestricted,
                                boolean isMandatory,
                                boolean isMultiValued,
                                boolean isPrimary,
                                String description)

    Constructs PropertyDefinition without PropertyChoices.

  Parameters:
    `id` - - the unique id for this PropertyDefinition
    `name` - - the name of this PropertyDefinition that is unique relative to its ObjectClass.
    `reference` - - an external reference for all Properties defined by this PropertyDefinition.
    `type` - - the type of this PropertyDefinition.
    `isReadOnly` - - true if a Property defined by this PropertyDefinition is intended to not be writable, false otherwise.
    `isRestricted` - - true if a Property defined by this PropertyDefinition may only contain value(s) defined in this PropertyDefinitions PropertyChoice array, false otherwise
    `isMandatory` - - true if a Property defined by this PropertyDefinition must contain a non-null value and in the case of a String must not be empty, false otherwise.
    `isMultiValued` - - true if a Property defined by this PropertyDefinition may contain multiple values, false otherwise.
    `isPrimary` - - true if the PropertyDefinition is the Primary PropertyDefinition for the ObjectClass.
    `description` - - a description of this PropertyDefinition.

  Method Detail

  ### getDescription

      public String getDescription()

    Gets the description.

  ### setDescription

      public void setDescription(String description)

    Sets the description.

  ### getPropertyChoices

      public PropertyChoice[] getPropertyChoices()

    Returns the array of PropertyChoices.

  ### setPropertyChoices

      public void setPropertyChoices(PropertyChoice[] propertyChoices)

    Sets the array of PropertyChoices.

  ### getName

      public String getName()

    Returns the name of this PropertyDefinition.

  ### setName

      public void setName(String name)

    Sets the name of this PropertyDefinition.

  ### getReference

      public String getReference()

    Returns a means by which all Properties for this PropertyDefinition may be referenced. Null if no such reference exists.

  ### setReference

      public void setReference(String reference)

    Sets a means by which all Properties for this PropertyDefinition may be referenced.

  ### getType

      public int getType()

    Gets the defined data type.

  ### setType

      public void setType(int type)

    Sets the defined data type.

  ### isReadOnly

      public boolean isReadOnly()

    Returns true if a value for the Property can be edited.

  ### isReadOnly

      public void isReadOnly(boolean isReadOnly)

    Set to true if a value for the Property can be edited, or false otherwise.

  ### isRestricted

      public boolean isRestricted()

    Returns true if a value for the Property is restricted to the available choices.

  ### isRestricted

      public void isRestricted(boolean isRestricted)

    Set to true if a value for the Property is restricted to the available choices, or false otherwise.

  ### isMultiValued

      public boolean isMultiValued()

    Returns true if the Property can have multiple values.

  ### isMultiValued

      public void isMultiValued(boolean isMultiValued)

    Set to true if the Property can have multiple values, false otherwise.

  ### isMandatory

      public boolean isMandatory()

    Returns true if a value for the Property is required.

  ### isMandatory

      public void isMandatory(boolean isMandatory)

    Set to true if a value for the Property is required, or false otherwise.

  ### isPrimary

      public boolean isPrimary()

    Returns true if this PropertyDefinition represents the primary PropertyDefinition for its ObjectClass. There may only be one primary PropertyDefinition per ObjectClass. The ObjectClass holds the true relationship to the primary PropertyDefinition. This is an indicator to describe that relationship.

  ### isPrimary

      public void isPrimary(boolean isPrimary)

    Set to true if this PropertyDefinition represents the primary PropertyDefinition for its ObjectClass. There may only be one primary PropertyDefinition per ObjectClass. The ObjectClass holds the true relationship to the primary PropertyDefinition. This is an indicator to describe that relationship.

  ### toString

      public String toString()

    Returns the PropertyDefinition attributs as a String.

    Overrides:
      `toString` in class `ContentEntity`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | © 2003 BEA Systems, Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003 BEA Systems, Inc. All Rights Reserved